#
# Conditional build:
%bcond_without	nautilus	# Nautilus extension
#
Summary:	An archive manager for GNOME
Summary(pl.UTF-8):	Zarządca archiwów dla GNOME
Summary(pt_BR.UTF-8):	Gerenciador de arquivos compactados para o GNOME
Name:		file-roller
Version:	3.14.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/file-roller/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	2a0b940e136485c2efb704e62c171e85
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.13.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 0.14.0
BuildRequires:	libarchive-devel >= 3.0.0
BuildRequires:	libmagic-devel
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-progs
%{?with_nautilus:BuildRequires:	nautilus-devel >= 2.26.0}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.36.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.13.3
Requires:	hicolor-icon-theme
Requires:	json-glib >= 0.14.0
Requires:	libarchive >= 3.0.0
Requires:	libnotify >= 0.4.3
Suggests:	bzip2
Suggests:	gzip
Suggests:	nautilus-extension-file-roller = %{version}-%{release}
Suggests:	p7zip
%ifarch %{ix86}
Suggests:	rar
%else
Suggests:	unrar
%endif
Suggests:	tar
Suggests:	zip
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File Roller is an archive manager for the GNOME environment. With File
Roller you can: create and modify archives; view the content of an
archive; view a file contained in the archive; extract files from the
archive. File Roller is only a front-end (a graphical interface) to
various archiving programs. The supported file types are:
- Tar archives uncompressed (.tar) or compressed with
 - gzip (.tar.gz , .tgz)
 - bzip (.tar.bz , .tbz)
 - bzip2 (.tar.bz2 , .tbz2)
 - compress (.tar.Z , .taz)
 - lzop (.tar.lzo , .tzo)
- Zip archives (.zip)
- Jar archives (.jar , .ear , .war)
- Lha archives (.lzh)
- Rar archives (.rar)
- Single files compressed with gzip, bzip, bzip2, compress, lzop.

%description -l pl.UTF-8
File Roller to zarządca archiwów dla środowiska GNOME. Przy jego
pomocy można: tworzyć i modyfikować archiwa, oglądać ich zawartość,
oglądać poszczególne pliki zawarte w archiwum oraz rozpakowywać pliki
z archiwów. File Roller jest tylko interfejsem graficznym do
właściwych programów archiwizujących. Obsługiwane typy plików to:
- archiwa tar nieskompresowane (.tar) lub skompresowane programami:
 - gzip (.tar.gz, .tgz)
 - bzip (.tar.bz, .tbz)
 - bzip2 (.tar.bz2, .tbz2)
 - compress (.tar.Z, .taz)
 - lzop (.tar.lzo, .tzo)
- archiwa zip (.zip)
- archiwa jar (.jar, .ear, .war)
- archiwa lha (.lzh)
- archiwa rar (.rar)
- pojedyncze pliki skompresowane programami gzip, bzip, bzip2,
  compress, lzop.

%description -l pt_BR.UTF-8
File Roller é um gerenciador de pacotes de arquivos compactados para o
ambiente GNOME. Com ele é possível criar arquivos, visualizar o
conteúdo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%package -n nautilus-extension-file-roller
Summary:	File Roller (archive manager) extension for Nautilus (GNOME file manager)
Summary(pl.UTF-8):	Rozszerzenie File Roller (zarządca archiwów) Nautilusa (zarządcy plików GNOME)
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 2.26.0

%description -n nautilus-extension-file-roller
File Roller (archive manager) extension for Nautilus (GNOME file
manager).

%description -n nautilus-extension-file-roller -l pl.UTF-8
Rozszerzenie File Roller (zarządca archiwów) Nautilusa (zarządcy
plików GNOME).

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_nautilus:--disable-nautilus-actions} \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with nautilus}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la
%endif

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README README_COMMANDLINE
%attr(755,root,root) %{_bindir}/file-roller
%dir %{_libdir}/file-roller
%attr(755,root,root) %{_libdir}/file-roller/isoinfo.sh
%attr(755,root,root) %{_libdir}/file-roller/rpm2cpio
%{_datadir}/GConf/gsettings/file-roller.convert
%{_datadir}/appdata/org.gnome.FileRoller.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.ArchiveManager1.service
%{_datadir}/file-roller
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_desktopdir}/org.gnome.FileRoller.desktop
%{_iconsdir}/hicolor/*/apps/file-roller.*

%if %{with nautilus}
%files -n nautilus-extension-file-roller
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so
%endif
%changelog
* Mon Dec 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/file-roller.git;a=log;h=master

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> f6af43b
- updated to 3.14.2

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 7e9a3c8
- Update to 3.14.1

* Sat Oct 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9e48b84
- updated to 3.14.0

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3d81620
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3d46338
- Update to 3.12.1

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6df198b
- Update to 3.12.0

* Tue Dec 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 668d7bc
- nautilus extension is optional - support it both at install time
  (nautilus-extension-file-roller subpackage) and build time (nautilus bcond)
- release 2

* Sat Nov 23 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f7178b5
- Update to 3.10.2.1

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2f5959a
- updated to 3.10.1

* Tue Oct 01 2013 Artur Frysiak <artur@frysiak.net> 17fa215
- Up to 3.10.0, magic patch not needed (fixed upstream)

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> fe52ed6
- Update to 3.8.3

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 2e8fb39
- release 2 (by relup.sh)

* Fri May 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8001256
- updated to 3.8.2

* Tue Apr 23 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 974987e
- Update to 3.8.1

* Thu Mar 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> de9df88
- updated to 3.8.0

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> a1d6317
- rename sr@ije locale to sr@ijekavian
- updated BRs
- added magic patch (fixes magic support, disabled by mistake)
- release 2

* Sat Dec 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> bbb9b98
- updated to 3.6.3
- do not package empty TODO file; added README_COMMANDLINE

* Sat Nov 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0ab551d
- updated to 3.6.2

* Thu Oct 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 58a81c3
- updated to 3.6.1.1

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9731dbd
- updated to 3.6.1

